libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Functions
XML Parser Internals
Internal details of XML/WBXML API

XML parser details only known inside the internal XML/WBXML API. More...

Collaboration diagram for XML Parser Internals:

## Data Structures

struct | SmlXmlParser

## Macros

#define | XML_NODE_START 1
#define | XML_NODE_TEXT 3
#define | XML_NODE_CLOSE 15
#define | XML_NODE_CDATA 4

## Functions

SmlBool | smlParserStep (SmlParser *parser)
SmlBool | smlParserExpectNode (SmlParser *parser, int type, SmlBool empty, const char *name, SmlError **error)
SmlBool | smlParserGetID (SmlParser *parser, unsigned int *id, const char *name, SmlError **error)
SmlBool | smlParserGetString (SmlParser *parser, char **string, const char *name, SmlError **error)
SmlBool | smlParserGetData (SmlParser *parser, char **string, unsigned int *size, const char *name, SmlError **error)

## Detailed Description

XML parser details only known inside the internal XML/WBXML API.